/* This file contains a class averager that allows a set of numbers to be
tracked and averaged.  One number comes in at a time.

written by Scott McElfresh
*/

public class Averager 
{
  private double[] thelist;
  private int maximum;
  private int howmany;
  
    //*****
    // constructor to indicate no numbers entered yet, but up to 20 can be
  public Averager()
  {
     this.maximum = 20;     // is the "this."  needed?
     thelist = new double[this.maximum];
     howmany = 0;
  }
  
  //*****
  // constructor to indicate no numbers entered yet,but "maximum" will be entered.
  public Averager(int maximum)
  {  
     this.maximum = maximum;
     thelist = new double[maximum];
     howmany = 0;
  }
  
  //*********
  // function to take in a new number
  public void newNumber(double n)
  {
    if (howmany == maximum)
      System.out.println("no room to store " + n);
    else
    {
      thelist[howmany] = n;
      howmany ++;
     }
  }
  
   //*********
  // function to give the average of all numbers entered so far (since last reset).
  public double average()
  {
   double sum = 0;
   for (int which = 0; which < howmany; which++)
        sum = sum + thelist[which];
   return sum/ howmany;
  }

  //*******
  // return how many data items are below the average
  public int numBelowAverage()
  {
	int numbelow = 0;
	for (int i = 0; i < howmany;i++)
	   if (thelist[i] < average())
	       numbelow ++;
	return numbelow;
  }
}